Subject: Re: [PATCH v3 net-next 00/12] net: stmmac: Clean-up and tune-up

From: Corentin Labbe <[email-masked]>
Date: Fri, 18 May 2018 16:12:01 +0200

On Fri, May 18, 2018 at 02:55:57PM +0100, Jose Abreu wrote:
> This targets to uniformize the handling of the different GMAC versions in
> stmmac_main.c file and also tune-up the HW.
> 
> Currently there are some if/else conditions in the main source file which
> calls different callbacks depending on the ID of GMAC.
> 
> With the introducion of a generic HW interface handling which automatically
> selects the GMAC callbacks to be used, it is now unpleasant to see if
> conditions in the main code because this should be completely agnostic of the
> GMAC version.
> 
> This series removes most of these conditions. There are some if conditions
> that remain untouched but the callbacks handling are now uniformized.
> 
> Tested in GMAC5, hope I didn't break any previous versions.
> 
> Please check [1] for performance analisys of patches 3-12.
> 
> ---
> David,
> 
> This will probably generate a merge conflict with [2] (which was not merged
> yet). I'm waiting for Corentin input and then, if this series is merged
> before, I will rebase [2]. Or the other way around if you prefer :D
> 
> Thanks
> ---
> 
> Cc: David S. Miller <[email-masked]>
> Cc: Joao Pinto <[email-masked]>
> Cc: Vitor Soares <[email-masked]>
> Cc: Giuseppe Cavallaro <[email-masked]>
> Cc: Alexandre Torgue <[email-masked]>
> 
> [1] https://marc.info/?l=linux-netdev&m=152656352607905&w=2
> [2] https://patchwork.ozlabs.org/patch/915286/
> 
> Jose Abreu (12):
>   net: stmmac: Enable OSP for GMAC4
>   net: stmmac: Do not keep rearming the coalesce timer in stmmac_xmit
>   net: stmmac: Let descriptor code set skbuff address
>   net: stmmac: Let descriptor code clear the descriptor
>   net: stmmac: Uniformize the use of dma_{rx/tx}_mode callbacks
>   net: stmmac: Remove uneeded checks for GMAC version
>   net: stmmac: Move PTP and MMC base address calculation to hwif.c
>   net: stmmac: Uniformize the use of dma_init_* callbacks
>   net: stmmac: Remove uneeded check for GMAC version in stmmac_xmit
>   net: stmmac: Uniformize set_rx_owner()
>   net: stmmac: Let descriptor code get skbuff address
>   net: stmmac: Remove if condition by taking advantage of hwif return
>     code
> 
>  drivers/net/ethernet/stmicro/stmmac/dwmac-sun8i.c  |   82 +++++---
>  .../net/ethernet/stmicro/stmmac/dwmac1000_dma.c    |   92 ++++++----
>  drivers/net/ethernet/stmicro/stmmac/dwmac100_dma.c |   35 +++--
>  drivers/net/ethernet/stmicro/stmmac/dwmac4_descs.c |   34 +++-
>  drivers/net/ethernet/stmicro/stmmac/dwmac4_dma.c   |    7 +-
>  drivers/net/ethernet/stmicro/stmmac/dwmac4_dma.h   |    1 -
>  drivers/net/ethernet/stmicro/stmmac/enh_desc.c     |   20 ++-
>  drivers/net/ethernet/stmicro/stmmac/hwif.c         |   34 ++++
>  drivers/net/ethernet/stmicro/stmmac/hwif.h         |   27 ++-
>  drivers/net/ethernet/stmicro/stmmac/norm_desc.c    |   20 ++-
>  drivers/net/ethernet/stmicro/stmmac/stmmac.h       |    1 +
>  drivers/net/ethernet/stmicro/stmmac/stmmac_main.c  |  198 +++++++-------------
>  12 files changed, 323 insertions(+), 228 deletions(-)
> 
> 

Hello

You didnt have put in CC [email-masked] as required by get_maintener.pl letting more people to see this series.
Since this series touch dwmac-sun8i.c you should have also added Chen-Yu Tsai/Maxime Ripard (as also asked by get_maintainer).

Regards